{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.spark": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
					{"bullet":"!query.is_moving"}
					]
				},
				"bullet":{"transitions":[{"default":"(1.0)"}],"on_entry":["/particle addon:spark ~~~","/execute @s[tag=!hit] ~~~ playsound bullet.hit @a[r=8]","/tag @s add hit"]}
			}
		}
	}
}